    import javax.swing.*;
    import java.awt.*;

    public class Fenetre extends JFrame{

    	public Fenetre(){
    		Dimension d = new Dimension(400, 400);

    		this.setSize(400,400);
    		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
    		this.setMinimumSize(d);
    		this.setLocation(100, 100);

    		Attente listen = new Attente(this);
    		this.addWindowListener(listen);
    	}
    }
